ExtractNow

Help

Contents
Main Window - File View
Main Window - History View
Settings Window
Misc Features
Notes
Author : Nathan Moinvaziri (Phoenix, AZ)
Written on Windows 98 & XP
Go to the ExtractNow Website

Main Window - File View

General
1. Shows the List of Files to Extract. All files listed here will be extracted. Dragging files or folders from explorer and onto this window will add them to the list of files to extract.

Note : In a multi-volume archive only the first file needs to be dropped.

2. Switches between the File View and the History View

3. Opens an e-mail to the author of the program

4. Open a Web Browser that goes to the ExtractNow website

5. Shows the Settings Window where you can change all program settings
6. Removes the selected files from the List of Files to Extract control. Does not physically remove them from your hard-drive
7. Extracts all the files in the List of Files to Extract control
8. Shows the extraction progress of all the files in the archive that is currently being worked on
9. Shows the extraction progress of all the files that were in he List of Files to Extract control
10. Basically this is a status bar, that is used in History View
11. Stops extraction the process in the middle of its tracks!

Main Window - History View

General
1. Shows the history of the extraction processes that have been completed
2. Writes the history to a text document in and opens the log folder to which the text document was created in
3. Clears all the history from the History List
Icons
Used for general status information
Used when file has been extract successfully and when the CRC of the archive is OK
Used when directory has been created
Used when an error of any kind occurs

Settings Window

General
1. When the extraction has completed. If this checkbox is checked gray, files will be moved to the recycling bin, if this checkbox is just checked it will delete the files for good, and if this checkbox is not checked, nothing will happen.
2. Opens the folder archives were extracted to once extraction is complete
File Association
3. Associates ExtractNow with these specific file types.
Extraction & Favorite Folder
4. If this option is selected, all files that are extracted will be extracted to the path selected.
5. Enabled if the Automatically Archives into Folder option is selected. Shows the path to extract the archives to
6. Will extract files from each archive to the location where the archive is. c:\windows\x.zip extracts into -> c:\windows\
!= 5 || 6. If neither option 4 or 5 is chosen, then the user is asked which folder to extract the selected files into. More..
7. Extracts each archive into their own folder. c:\windows\x.zip extracts into -> c:\windows\x\
8. Gives the option to or not to automatically overwrite existing files when extracting archives. Checked = overwrite files, Unchecked = do not overwrite files
File Masking - Masks Not to Extract
Allows you to weed out any unwanted types of files. If for example you did not want to extract ANY files with the word 'sex' in their file names, you just add the mask, "sex" or "*sex*" (which are treated the same), to the List of Masks not to Extract

Misc. Features

Directory Monitoring
Monitor's specific directories and automatically extracts new files that show up. Check monitordir.txt for more information.
Right-Click Integration (File Association) | (Send To -> ExtractNow)

Open with ExtractNow
Opens ExtractNow with the file already added to its list of files to extract

Extract with ExtractNow
Opens the archive in ExtractNow and automatically starts to extract the file

This feature is installed when ExtractNow is installed and uninstalled when ExtractNow is uninstalled. It allows the user to open files in ExtractNow without associating the file type with ExtractNow.

System Menu | Limiting History Reporting

Always On Top
Allows the user to check the internet to find out what the latest version of ExtractNow is

Check For Latest Version
Allows the user to check the internet to find out what the latest version of ExtractNow is

Minimize To Tray

Minimizes the program to the system tray instead of the taskbar

Option to show all archives that have been done or all archives and their files that have been extracted.
Search for Archives

Allows the user to search through folders for archives. Drag a folder onto the List of Archives to Extract window


ExtractNow

Download ExtractNow

Home - All History
Update 3.58 (1/03/03)
  • Updated progress bar look
  • Right-click on progress bar to change color
  • Added RAR SFV file checking (no CRC32 check)
  • Fixed directory creation always in lowercase
  • Added directory monitoring see (monitordir.txt)
 Update 3.56 (12/03/03)
  • Drag and drop support restored for RAR
  • Removed .part in destination directory with RAR
  • Fixed bug with zip extraction reporting
  • Fixed SIT not working when SIT DLL is present
  • Fixed 'Delete after Extraction' bug with ZIP files
  • Fixed 'Automatically extract archive into' bug
 Update 3.53 (11/29/03)
  • Major changes to ACE extraction code
  • Delete after extraction bugs fixed
  • Masking bugs fixed
    •
Version 3.50 (11/28/03)
  • Revamped lots of code
  • Removed foreign language support
  • Changed how settings are saved
  • Made masking easier to use
  • Global masking for all file types
  • Removed Info-ZIP's unzip32.dll and replaced it with Zlib static library
  • SIT support not included in setup (see Feature List below for SIT support)
  • Fixed rar support for files .part1.rar, .part01.rar, .part001.rar, part0001.rar
  • Added extraction progress to system tray icon tool tip
  • Temporarily disabled zip password stuff

Update 3.36 (10/20/03)

  • Fixed file associated icon
  • Updated Check version download link
  • Added SIT support

Update 3.35 (10/11/03)

  • Fixed MP3->WAV support
  • Added SIT, LHA, LHZ support (no reporting)
  • Changed settings dialog
  • Fixed more sorting problems

Version 3.30 (10/1/03)

  • Added MP3->WAV extraction
  • ZIP no-overwrite option now works again
  • Fixed showing of CRC OK in history window
  • Double-clicking MP3 files displays MP3 file info
  • Fixed some GUI problems
  • Fixed Floppy drive seek at startup on Win98/ME
  • Fixed icons on Win98/ME
  • Fixed Settings dialog headings in Win98/ME

Update 3.23 (9/28/03)

  • Fixed sorting bug
  • Fixed RAR extraction bug
  • Updated some tool tips

Version 3.20 (9/27/03)

  • Changed button look
  • Added icons to each button
  • Added a "Use Default File Icon" feature to the right-click menu

Update 3.17 (9/24/03)

  • Fixed RAR password bug
  • Fixed ExtractNow desktop icon
  • Compiled setup package with newer version of Inno Setup

Update 3.15 (9/10/03)

  • Allows BIN, IMA, & IMZ file extraction via WinImage SDK
  • Fixed ExtractNow icon in 256 color mode
  • Fixed drag and drop bug

Update 3.13 (9/05/03)

  • Added ISO support via WinImage SDK
  • Added IMG support via WinImage SDK
  • Recompiled with Microsoft Visual C++ .NET 2003
  • Fixed progress bar text was always white
  • Updated icons for the program
  • Fixed some debug problems
  • Replaced picture in About dialog
  • History view now auto-scrolls
  • Fixed Extract button disability bug
  • Buttons now show disabled state
  • RAR extraction problem fixed
  • Stop button now works for RAR extraction
  • Fixed ZIP extraction bug

Version 3.00 (6/05/03)

  • Updated UnRAR.DLL to version 3.0
  • Updated UnACE.DLL to version 2.1.1.0
  • Updated UnZIP32.DLL to version 5.5.0
  • Fixed drag and drop bug
  • Double-clicking an archive will list its contents
  • File association updated
  • Options in Settings window are in a drop down list
  • Added new options :
  • Save File List On Close
  • Close Program After Extraction
  • Fixed some other bugs

Update 2.97 (5/04/02)

  • Fixed file association bug
  • Made changes to Italian Language DLL

Update 2.96 (5/04/02)

  • Fixed ACE and RAR bugs
  • Added Romanian Language DLL to setup package

Update 2.95 (4/26/02)

  • Fixed bug where archives still in List of Files To Extract were not saved
  • Fixed ACE extraction problem

Update 2.93 (4/24/02)

  • Fixed file association bugs
  • Updated UnRAR.dll to (April 20, 2002 Release)
  • Fixed "Always On Top" bug
  • Delete After Extraction now deletes all files in a split-archive set

Version 2.90 (4/17/02)

  • Fixed a few misc bugs
  • Delete After Extraction has 3 states : gray, checked, and unchecked
    • Gray will delete to the Recycling Bin
    • Checked will delete the file permanently
    • Unchecked will not delete the file at all
  • Cleaned up the Write To File output
  • Language can be changed inside the program via the program's system menu
  • Added German Language DLL to the setup package

Update 2.86 (2/27/02)

  • Delete After Extraction bug has been fixed
  • Loading of previous session files much faster!
  • Sorting of history bug fixed
  • Added Right-click menu to history window with Simple or Detailed Reporting option
  • Clear button clears selected files, when files are selected other wise it will clear all files
  • Files are removed from the List of Files To Extract when the Deleted After Extraction operation has been performed
  • Added Spanish (Spain) DLL to setup package

Update 2.83 (2/13/02)

  • Added French DLL to setup package
  • Added Italian DLL to setup package
  • Language selectable on first-run

Version 2.80 (2/8/02)

  • Fixed bug when Browsing For Folders in Windows 98
  • Added multi-language support
  • Detailed about box with DLL version information
  • New cool looking owner-drawn progress bars
  • Updated UnACEV2.DLL from 2.0.X to 2.1.X
  • Updated UnRAR.DLL with the latest which works with archives created with the WinRAR 3.0 series
  • Fixed menu bugs
  • Reduced file size from version 2.70
  • Added Open Archive's Folder feature in the menu
  • Added Remove Selected Item(s) feature in the menu
  • Added Sorting Ascending/Descending - By Archive File And Folder Name options to the menu in the program

Version 2.70 (1/3/02)

  • Fixed many misc. bugs
  • Conditioned to work with and look good in XP
  • Buttons now look XP style
  • Tool tips are balloon-like
  • Updated menus to have VS.NET style
  • Updated extraction code
  • Fixed auto-extraction bugs
  • Fixed long file name problem
  • Added support for file extensions : .001
  • Updated folder selection code
  • Added "Send To" shortcut
  • Added file type icon to associated archives
  • Fixed file association bugs
  • Updated help files

Update 2.58 (10/31/01)

  • Fixed some file association bugs

Update 2.57 (10/30/01)

  • Added 'Close Program After Extracted' option
  • Added the ability to be able to select which types of archives you want associated with ExtractNow and which types you don't
  • Added the ability to make ExtractNow the default association for archive types
  • Added the ability to make auto-extraction the default operation for associated file types

Update 2.53 (10/22/01)

  • Added download feature when finding newer version of ExtractNow on the internet
  • Fixed NT4 SP5 'SHGetSettings' error

Update 2.51 (10/21/01)

  • Fixed and improved file loading at startup

Version 2.50 (10/17/01)

  • Updated searching for archives in folder routine
  • Fixed some drag and drop errors
  • Added 'Add File(s)' and 'Search Through/Add Folder' to right-click menu in the program, for adding files through a selection dialog
    Check out the screen shot [1], ( [1], [2] )

Update 2.48 (10/15/01)

  • Coded in cool new menus with icons and stuff
  • Added testarchive.zip for first load to help show people how to use the program
  • Added error for non-archives dropped for new users
  • Saves list loaded files when closed and loads them again on open. Loaded files are those that have been dragged over to the main window.
  • Updated logging

Update 2.43 (10/06/01)

  • Fixed multiple extracting with Right-click integration
  • Fixed problem with icon in the New Folder dialog not showing correct icon on some systems
  • Fixed the 16x16 icon for the program
  • Added correct error reporting for empty ZIP files
  • Updated pictures in help files

Version 2.40 (10/02/01)

  • Replace 'Show History After Extraction' option with 'Delete Files To Recycle Bin After Extraction', and the history will be shown automatically.
  • Fixed two bugs in ZIP error reporting
  • Added 'Open with ExtractNow' to Right-Click integration
  • Fixed bug with Right-Click integration and Windows XP
  • Double-clicking system tray icon automatically restores the window

Update 2.35 (09/30/01)

  • Added 'Minimize to Tray' option
  • Added support for JAR extraction which uses ZIP uncompression method

Update 2.32 (09/27/01)

  • Bug fixed in right-click integration
  • Added spiffy image to setup program
  • Added what's new file to setup program

Update 2.31 (09/26/01)

  • Fixed GetLongPathName error on NT

Version 2.30 (09/25/01)

  • Added a 'Check For Latest Version' feature
  • Fixed a few GUI problems
  • Fixed right-click integration access violation errors
  • Fixed right-click integration with RAR and ACE files
  • Removed some unneeded code
  • Updated help files

Update 2.26

  • Added password support for ACE, ZIP, and RAR files
  • Fixed access violation error
  • Improvements in coding

Update 2.23

  • Processes RAR, ACE, & ZIP SFX archives
  • Auto-scroll feature added to both the History window and the List of Archives to Extract window

Update 2.21

  • Added 'Always On Top' option
  • Updated help files to show some misc features that might be hidden to the average user
  • Fixed problem with Quick Launch icon not being created during setup
  • Fixed a user interface problem

Version 2.20

  • Added more status reporting and full ACE status reporting
  • Added Scanning & Testing status reporting stages
  • Added more functionality to the stop button
  • Fixed RAR broken multi-volume archive access violation error
  • Masking works with ACE files now
  • Fixed more memory leaks
  • Replaced unrar32.dll with a better one
  • Updated install/uninstall program

Update 2.16

  • Fixed folder selection problem in settings dialog
  • Updated website and e-mail info in program

Update 2.15

  • Fixed extraction problem
  • Made dialog resizable
  • Made columns resize w/dialog
  • Added Stop functionality for extraction

Update 2.11

  • Created tool tips for the main dialog

Version 2.10

  • Fixed browse window position
  • Added text next to progress bars for stats
  • Status text is displayed when extracting files
  • Shows progress of ACE extraction
  • Multiple instances are allowed now, although if opening files from explorer they will only show up in one of the open instances
  • Improved ZIP, ACE, & RAR history reporting
  • CRC testing on ZIP, ACE, & RAR files before extraction
  • Fixed memory leaks and access violation errors
  • Fixed ACE & RAR bugs
  • Reports error if next volume in multi-volume archive is not found

Version 2.00 - Re-release

  • New interface with new progress bars
  • New and simpler options
  • Simple option to automatically overwrite or not to
  • Largely recoded
  • Improved icon coding
  • Improved registry access coding
  • Writes history to file
  • More comprehensive error reporting
  • Works with archives made with WinZIP, WinRAR, & WinACE files
  • Runs extraction process in thread, preventing the system or program from hanging
  • Can search through directories for archives, new with improved coding and thread action!
  • Improved Right-Click Shell Integration coding
  • Improved uninstall program
  • New dialogs for selecting folders throughout the program

Before version 2.0, ExtractNow used to be called Uncompressor '99. Version 1.00-1.60 was coded in Visual Basic and version 1.60+ was coded in Visual C++. During this time I was just learning how to program in C++. If anyone is interesting in seeing the early versions of ExtractNow they can check out the link above.

Last Modified 6/3/03